# template-python

Template repository for projects on python

* [`script.sh`](https://git.hmp.today/pavel.muhortov/template-python#script-py)

____
## `script.py`
**Description:**  
> returning current username if privileged rights are exist  
> or  
> returning error, if privileged rights are not exist


**Dependencies:**  
> - Python 3 (tested version 3.9.5)


|  PARAMETERS | DESCRIPTION | DEFAULT|
|-------------|-------------|--------|
|**[-s,--show]**|""   - execution with pauses.<br/>"qn" - execution without pauses.||
|**[-c,--conf]**|path to configuration file|./script.conf|


Example usage in terminal with Python on Linux:
```shell
python3 ./script.py
```
Example usage in terminal with make the script executable on Linux:
```shell
chmod u+x ./script.py
script.py -s qn -c ./script.conf
```
Example usage in terminal with Python on Windows:
```shell
python .\script.py
```
